# Uses of Class
org.apache.lucene.store.FSLockFactory

Packages that use FSLockFactory
Package
Description
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of FSLockFactory in org.apache.lucene.store

  Subclasses of FSLockFactory in org.apache.lucene.store
  Modifier and Type
  Class
  Description
  `final class`
  `NativeFSLockFactory`
  Implements `LockFactory` using native OS file locks.
  `final class`
  `SimpleFSLockFactory`
  Implements `LockFactory` using `Files.createFile(java.nio.file.Path, java.nio.file.attribute.FileAttribute<?>...)`.
  Methods in org.apache.lucene.store that return FSLockFactory
  Modifier and Type
  Method
  Description
  `static final FSLockFactory`
  FSLockFactory.`getDefault()`
  Returns the default locking implementation for this platform.